mia-3dimagestatistics-in-mask
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dimagestatistics-in-mask

#### Sysnopis:

`mia-3dimagestatistics-in-mask` {-i `io`} {-m `io`} [ `options` ...]

#### Description:

This program evaluates the statistics of an image within a masked region of the image. Possible outputs are a summary statistics and a histogram of the values.

#### Options:

#### File-IO

-i, --image=(input, required); io

  input image to be analyzed. For supported file types see Plugin type: 3dimage/io

-m, --mask=(input, required); io

  mask image to use to restrict the analysis. For supported file types see Plugin type: 3dimage/io

-s, --summary=(output); string

  File to write the summary statistics to as plain text.

-H, --histogram=(output); string

  File to write the histogram to

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

--struct-name=undefined; stringSTRING

  Name of the structure the statistics are evaluated for

-l, --limit=20; uint in [20, inf)

  Number of pixels the mask should at least contain.

-b, --bins=8; ulong in [4, inf)

  number of histogram bins to be used

--hmin=0; float

  lower bound for the histogram mapping. All values below this value will be mapped into the lowest bin. If this parameter is equal or larger than hmax, the histogram range is evaluated automatically.

--hmax=0; float

  hpper bound for the histogram mapping. All values above this valuewill be mapped into the highest bin. If this parameter is equal or smaller than hmin, the histogram range is evaluated automatically.

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

evaluate the summary statistics on the input and a histogram with 10 bins and automtically evaluated boundaries. Save summary in summary.txt and the histogram in hist.txt

    mia-3dimagestatistics-in-mask --image image.v.gz --mask mask.v.gz --summary summary.txt --histogram hist.txt

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dimagefilterstack | Home | mia-3dimagestats